Util.ImportResponseWrapper (Apache Tomcat 9.0.37 API Documentation)

org.apache.jasper.tagplugins.jstl

## Class Util.ImportResponseWrapper

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - javax.servlet.http.HttpServletResponseWrapper
    - - org.apache.jasper.tagplugins.jstl.Util.ImportResponseWrapper

- All Implemented Interfaces:
    HttpServletResponse, ServletResponse
  Enclosing class:
    Util

      public static class Util.ImportResponseWrapper
      extends HttpServletResponseWrapper

  Wraps responses to allow us to retrieve results as Strings. mainly taken from org.apache.taglibs.standard.tag.common.core.importSupport

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletResponse

      `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportResponseWrapper(HttpServletResponse arg0)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharEncoding()`
    `ServletOutputStream` | `getOutputStream()` The default behavior of this method is to return getOutputStream() on the wrapped response object.
    `int` | `getStatus()` Get the HTTP status code for this Response.
    `String` | `getString()`
    `PrintWriter` | `getWriter()` The default behavior of this method is to return getWriter() on the wrapped response object.
    `void` | `setCharEncoding(String ce)`
    `void` | `setContentType(String x)` The default behavior of this method is to call setContentType(String type) on the wrapped response object.
    `void` | `setLocale(Locale x)` The default behavior of this method is to call setLocale(Locale loc) on the wrapped response object.
    `void` | `setStatus(int status)` The default behavior of this method is to call setStatus(int sc) on the wrapped response object.

    - ### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

      `addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setTrailerFields`

    - ### Methods inherited from class javax.servlet.ServletResponseWrapper

      `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletResponse

      `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong`

- - ### Constructor Detail

    - #### ImportResponseWrapper

          public ImportResponseWrapper(HttpServletResponse arg0)

  - ### Method Detail

    - #### getWriter

          public PrintWriter getWriter()

      Description copied from class: `javax.servlet.ServletResponseWrapper`
      The default behavior of this method is to return getWriter() on the wrapped response object.
      Specified by:
        `getWriter` in interface `ServletResponse`
      Overrides:
        `getWriter` in class `ServletResponseWrapper`
      Returns:
        a `PrintWriter` object that can return character data to the client
      See Also:
        `ServletResponse.getOutputStream()`, `ServletResponse.setCharacterEncoding(java.lang.String)`

    - #### getOutputStream

          public ServletOutputStream getOutputStream()

      Description copied from class: `javax.servlet.ServletResponseWrapper`
      The default behavior of this method is to return getOutputStream() on the wrapped response object.
      Specified by:
        `getOutputStream` in interface `ServletResponse`
      Overrides:
        `getOutputStream` in class `ServletResponseWrapper`
      Returns:
        a `ServletOutputStream` for writing binary data
      See Also:
        `ServletResponse.getWriter()`

    - #### setContentType

          public void setContentType(String x)

      Description copied from class: `javax.servlet.ServletResponseWrapper`
      The default behavior of this method is to call setContentType(String type) on the wrapped response object.
      Specified by:
        `setContentType` in interface `ServletResponse`
      Overrides:
        `setContentType` in class `ServletResponseWrapper`
      Parameters:
        `x` - a `String` specifying the MIME type of the content
      See Also:
        `ServletResponse.setLocale(java.util.Locale)`, `ServletResponse.setCharacterEncoding(java.lang.String)`, `ServletResponse.getOutputStream()`, `ServletResponse.getWriter()`

    - #### setLocale

          public void setLocale(Locale x)

      Description copied from class: `javax.servlet.ServletResponseWrapper`
      The default behavior of this method is to call setLocale(Locale loc) on the wrapped response object.
      Specified by:
        `setLocale` in interface `ServletResponse`
      Overrides:
        `setLocale` in class `ServletResponseWrapper`
      Parameters:
        `x` - the locale of the response
      See Also:
        `ServletResponse.getLocale()`, `ServletResponse.setContentType(java.lang.String)`, `ServletResponse.setCharacterEncoding(java.lang.String)`

    - #### setStatus

          public void setStatus(int status)

      Description copied from class: `javax.servlet.http.HttpServletResponseWrapper`
      The default behavior of this method is to call setStatus(int sc) on the wrapped response object.
      Specified by:
        `setStatus` in interface `HttpServletResponse`
      Overrides:
        `setStatus` in class `HttpServletResponseWrapper`
      Parameters:
        `status` - the status code
      See Also:
        `HttpServletResponse.sendError(int, java.lang.String)`

    - #### getStatus

          public int getStatus()

      Description copied from class: `javax.servlet.http.HttpServletResponseWrapper`
      Get the HTTP status code for this Response.

      The default implementation is to call `HttpServletResponse.getStatus()` on the wrapped `HttpServletResponse`.

      Specified by:
        `getStatus` in interface `HttpServletResponse`
      Overrides:
        `getStatus` in class `HttpServletResponseWrapper`
      Returns:
        The HTTP status code for this Response

    - #### getCharEncoding

          public String getCharEncoding()

    - #### setCharEncoding

          public void setCharEncoding(String ce)

    - #### getString

          public String getString()
                           throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.